Docs

Get Proposals

GET /Proposals

GET/Proposals

Lists the event's proposals and change orders with status, whether the price is locked, client, calculated financials and cash position (billed and received). Use Proposals_GetProposal for one proposal's groups, line items and adjustments. Requires event admin permission.

Response

Type: GetProposalsResponse[]

GetProposalsResponse

FieldTypeDescription
iduuid
namestring| null
typestring| null
parentProposalIduuid| null
statusstring| null
isPriceLockedboolean
acceptedDatedate-time| null
clientGetProposalsResponseClientInfo
financialsProposalFinancials
cashProposalCash

GetProposalsResponseClientInfo

FieldTypeDescription
collaboratorRecordIduuid| null

ProposalFinancials

FieldTypeDescription
baseCostnumber
totalCostnumber
baseChargenumber
totalChargenumber
marginnumber
marginPercentnumber| null
spendCeilingnumber| null
actualCostnumber| null
actualMarginnumber| null
isOverBudgetboolean| null
effectsProposalFinancialsColumnEffect[]| null

ProposalCash

FieldTypeDescription
billednumber
receivednumber
outstandingnumber
overBillednumber
overCollectednumber
isInvoicedboolean
isPartiallyPaidboolean

ProposalFinancialsColumnEffect

FieldTypeDescription
adjustmentIduuid
namestring| null
appliesTostring| null
methodstring| null
indexinteger
effectiveValuenumber| null
effectnumber
isHiddenFromClientboolean